# delimit ;

* creates figure 3, estimates for alternative models by year;

import excel figure3_dmap_data_rv2.xlsx, sheet("Sheet2") firstrow;

label define nmodel 9 "No Controls, 1989-2015" 8 "No Controls, 1972-2015" 7 "Job Offer Instead of Callback" 6 "No Criminal Record/No Disability" 5 "Resume Audit Studies Only" 4 "Conrols for Applicant Attributes" 3 "Controls for UE & Regions" 2 "Controls for Occupations" 1 "Trimmed Controls";

label values nmodel nmodel;

label var nmodel "Model";
label var lowci "95% CI Low";
label var highci "95% CI High";

twoway rcapsym lowci highci nmodel, horizontal msymbol(none) ||   scatter nmodel estimate, ylabel(1 2 3 4 5 6 7 8 9, nogrid valuelabel angle(horizontal) labsize(vsmall)) xlabel(-0.08 -0.06 -0.04 -0.02 0.00 0.02 0.04 0.06 0.08, grid labsize(vsmall)) xline(0) xtitle("Estimated Annual Change in Hiring Discrimination" "(Slope of Year Variable)", size(small)) scheme(s2mono) legend(label(2 "Estimate") size(small)) saving(fig3_pnas, replace);

* title("Figure 3:  Alternative Estimates of" "Change in Hiring Discrimination Against African Americans", size(medium));
