 
# delimit ;

*log using dmap_an1_nojob, text replace;

use dmap_update1024recoded_3;

drop if effect_level==5;

* keeping interview/callback outcome only;
keep if outcome2==1;
*keep if outcome==high_outcome;


* keeping outcomes only for non-white target groups (including mixed group);
drop if min_rec==2;

drop if minority=="Fictitious";
drop if minority=="all foreign";

gen min_rec2=min_rec;
recode min_rec2 (4=1) (3=2) (6=3) (5=4);
label define min_rec2 1 "Hispanic/Latino" 2 "Arab-American" 3 "Combined Non-White" 4 "Asian";
label values min_rec2 min_rec2;

gen late=0 if rfieldwork_year<1989;
replace late=1 if rfieldwork_year>1989;

sort outcome2 rfieldwork_year studyid;

label define late 0 "Early Studies (before 1989)" 1 "Modern Studies (since 1989)";
label values late late;

* first do analysis with results since 1989 to get weights for later analysis;
metan lrr_best rr_best_lnse if min_rec==1 & rfieldwork_year>1988, sortby(rfieldwork_year) eform random lcols(studyid rfieldwork_year) title("Figure: Discrimination Ratios" "Whites to African-Americans Since 1989") xlabel(.1, .2, .33, .5, .66, 1, 1.5, 2, 3, 5,10) force nobox scheme(s2mono);

* analysis for black respondents, all years, to get CI cited in text;
metan lrr_best rr_best_lnse if min_rec==1, sortby(rfieldwork_year) eform random lcols(studyid rfieldwork_year) title("Figure: Discrimination Ratios" "Whites to African-Americans") xlabel(.1, .2, .33, .5, .66, 1, 1.5, 2, 3, 5,10) force nobox scheme(s2mono);



gen wgtsince1990=_WT;

format wgtsince1990 %4.2f;

label variable wgtsince1990 "% Weight (Modern Studies)";

local e1990=ln(r(ES));
local e1990_low=ln(r(ci_low));
local e1990_high=ln(r(ci_upp));

* below creates figure s1;
metan lrr_best rr_best_lnse if min_rec==1, sortby(rfieldwork_year) eform random lcols(studyid rfieldwork_year) 
  title("Figure S1: Discrimination Ratios" "African-Americans") 
  xlabel(.1, .2, .33, .5, .66, 1, 1.5, 2, 3, 5,10) force nobox scheme(s2mono) by(late) 
  rcols(wgtsince1990) nostats nohet nowt nosubgroup second(`e1990' `e1990_low' `e1990_high' Modern Studies) olineopt(lcolor(none)) saving(figures1_nojob, replace) favours(blacks favored#whites favored);

more;
 
* add 1990 line by hand in stata graph editor, and CI as text box in editor;
display exp(`e1990');
display exp(`e1990_low');
display exp(`e1990_high');

*graph export figure1_nojob.pdf, as(pdf) replace;
 

drop if min_rec==1;

sort min_rec2 outcome2 rfieldwork_year studyid;

*usa Hispanic results by decade analysis with log(rr) and se's;
metan lrr_best rr_best_lnse if min_rec==4,
   sortby(rfieldwork_year) eform random lcols(studyid rfieldwork_year) saving(figs2_nojob, replace) 
   title("Figure S2: Discrimination Ratios, Latinos") xlabel(.1, .2, .33, .5, .66, 1, 1.5, 2, 3, 5,10) force nobox nostats nohet scheme(s2mono) favours(Latinos favored#whites favored);

display r(ES);
display r(ci_low);
display r(ci_upp);
   
* graph export figure2_nojob.pdf, as(pdf) replace;


   
more;




  
