
* analysis for table S3;
* and table S4 (except not "alternative outcome" estimates in s4);
* and table S7;

 
# delimit ;


* from C:\Users\lincoln\Box Sync\audit\analysis oct 2016\dmap_an2_nojob;

log using dmap_an2_ln, text replace;

use "C:\Users\lincoln\Box Sync\audit\analysis oct 2016\dmap_update1024recoded_3";

drop if effect_level==5;

* keeping interview/callback outcome only;
keep if outcome2==1;

* model for African-Americans, all years;
metareg lrr_best rfieldwork_year if min_rec==1
  , wsse(rr_best_lnse);

* model for African-Americans, post-1989, table S3;
metareg lrr_best rfieldwork_year if min_rec==1 & rfieldwork_year>1982
  , wsse(rr_best_lnse);

estimates store e1;  
  

* model for Latinos, all years;
metareg lrr_best rfieldwork_year  if min_rec==4
  , mm wsse(rr_best_lnse);

* predicted values for Latinos, for understanding magnitude of slope;
predict plrr_best;
gen prr_best=exp(plrr_best) if e(sample);
tab rfieldwork_year, sum(prr_best);


* analysis now switches to african-american models with covariates;
* post 1982 only;

keep if min_rec==1 & rfieldwork_year>1982;

* tester covariates models;
metareg lrr_best rfieldwork_year other menonly femaleonly byrsed cr study_method  
  , wsse(rr_best_lnse) ;
  
estimates store e2;

* ue + region;
metareg lrr_best rfieldwork_year menonly femaleonly byrsed cr study_method ue_best reg1 reg3 reg4 reg5 if rfieldwork_year>-30
  , wsse(rr_best_lnse) ;

estimates store e3;

  
* occupational categories;
metareg lrr_best rfieldwork_year menonly femaleonly byrsed cr study_method bluecollar office_focus restaurant, wsse(rr_best_lnse) ;

estimates store e4;
  
*estimating a kind of trimmed model;
metareg lrr_best rfieldwork_year study_method menonly cr reg1 reg3 bluecollar
  , wsse(rr_best_lnse) ;

estimates store e5;

*model with publication bias covariates;
metareg lrr_best rfieldwork_year advocacy government journal_article race_not_focus
  , wsse(rr_best_lnse) ;
  
estimates store e6;


* second estimates table, logged form, se;
estimates table e1 e2 e3 e4 e5 e6, se stats(N);
  
log close;

