
# delimit ;

*metareg analysis combined black and hispanic;
* shown in table S6;

log using dmap_an3_nojob_robumeta, text replace;

use dmap_update1024recoded_3;

*only usa, metareg doesn't work well with if and string var;
keep if country=="USA";

keep if effect_level==1;

* keeping outcomes only for non-white target groups (including mixed group);
drop if min_rec==2;

drop if minority=="Fictitious";
drop if minority=="all foreign";

* drop the one arab effect and asian effect;
drop if min_rec==3 | min_rec==5;


* keep only overall effect;
keep if effect_level==1;
keep if outcome2==1;

replace rfieldwork_year=rfieldwork_year-2015;

gen hispyear=hisp*rfieldwork_year;

drop other;

* below drops the two mixed nonwhite effect sizes;
drop if studyid=="Bendick2010" | studyid=="Deming2014";
gen other=0;

* need a numeric study identifier variable and risk ratio variance for robumeta;
egen studynum=group(studyid);

gen rr_best_lnvar=rr_best_lnse^2;


* table S6, model 2; 
robumeta lrr_best rfieldwork_year hisp hispyear other
  , study(studynum)  weighttype(random) variance(rr_best_lnvar) rho(.8);
  
 
*keeps only post-82 studies;
* table S6, model 1;
robumeta lrr_best rfieldwork_year hisp hispyear other if rfieldwork_year>-30
  , study(studynum)  weighttype(random) variance(rr_best_lnvar) rho(.8);
  
  
* table S6, model 3 (applicant attributes);  
robumeta lrr_best rfieldwork_year hisp hispyear other menonly femaleonly byrsed cr study_method if rfieldwork_year>-30
  , study(studynum)  weighttype(random) variance(rr_best_lnvar) rho(.8);    


* adds ue and region;
* table S6, model 4 (metro & region);
robumeta lrr_best rfieldwork_year hisp hispyear other menonly femaleonly byrsed cr study_method ue_best reg1 reg3 reg4 reg5 if rfieldwork_year>-30
  , study(studynum)  weighttype(random) variance(rr_best_lnvar) rho(.8);    

* controls for type of job;
* table S6, model 5(occupations);
robumeta lrr_best rfieldwork_year hisp hispyear other menonly femaleonly byrsed cr study_method bluecollar office_focus restaurant if rfieldwork_year>-30
  , study(studynum)  weighttype(random) variance(rr_best_lnvar) rho(.8);

  
log close;
