 
# delimit ;

* nojob outcome (interview/callback);
* makes graphs with unlogged dependent variable;
* altered to make area graphs with separate black and hispanic models;

use dmap_update1024recoded_3;

*only usa, metareg doesn't work well with if and string var;
keep if country=="USA";

keep if effect_level==1;

* keeping outcomes only for black target group;
keep if min_rec==1;

drop if minority=="Fictitious";
drop if minority=="all foreign";


keep if outcome2==1;

metareg lrr_best rfieldwork_year, wsse(rr_best_lnse) eform;

predict lrr_fit, xb;

predict se_random, stdxbu;
predict stdp, stdp;

gen bwgt=1/(rr_best_lnse^2+e(tau2));

local t = invttail(e(df_r)-1, 0.025);

gen confl = lrr_fit - `t'*stdp;
gen confu = lrr_fit + `t'*stdp;

gen econfl=exp(confl);
gen econfu=exp(confu);
gen rr_fit=exp(lrr_fit);

label var econfl "95% CI Upper";
label var econfu "95% CI Lower";

label var lrr_best "Observed Effect Sizes";

label variable rr_best "Observed Response Ratio";
label variable rr_fit "Predicted RR";

* below makes figure 3, previously figure 4;
* twoway rarea econfl econfu rfieldwork_year if min_rec==1, sort fcolor(gs14) || connect rr_fit rfieldwork_year if min_rec==1, s(i) sort || scatter rr_best rfieldwork_year if min_rec==1 [aweight=bwgt], yscale(log) scheme(s2mono) msymbol(Oh) msize(small) color(black) mfcolor(gs13) ytitle("Response Ratio White/Black (Log Scale)") title("Figure 3: Trends in Hiring Discrimination" "Against African-Americans") ylabel(.33 .5 1 2 3 4 5);

* graph export figure3_nojob_allyears.pdf, as(pdf) replace;

*  more;

* below has distinct symbols audit and correspondence;
*twoway rarea econfl econfu rfieldwork_year if min_rec==1, sort fcolor(gs14) || connect rr_fit rfieldwork_year if min_rec==1, s(i) sort || scatter rr_best rfieldwork_year if min_rec==1 & study_method==1 [aweight=bwgt], msymbol(Th) || scatter rr_best rfieldwork_year if min_rec==1 & study_method==0 [aweight=bwgt], yscale(log) scheme(s2mono) msymbol(Oh) msize(small) color(black) mfcolor(gs13) ytitle("Response Ratio White/Black (Log Scale)") title("Figure 3: Trends in Hiring Discrimination" "Against African-Americans") ylabel(.33 .5 1 2 3 4 5);

*more;


*keep if rfieldwork_year>1985;

metareg lrr_best rfieldwork_year if rfieldwork_year>1985, wsse(rr_best_lnse) eform;

predict lrr_fit_2 if rfieldwork_year>1985, xb;

predict se_random_2 if rfieldwork_year>1985, stdxbu;
predict stdp_2 if rfieldwork_year>1985, stdp;

gen bwgt_2=1/(rr_best_lnse^2+e(tau2));

local t = invttail(e(df_r)-1, 0.025);

gen confl_2 = lrr_fit_2 - `t'*stdp_2;
gen confu_2 = lrr_fit_2 + `t'*stdp_2;

gen econfl_2=exp(confl_2);
gen econfu_2=exp(confu_2);
gen rr_fit_2=exp(lrr_fit_2);

label var econfl_2 "95% CI Upper";
label var econfu_2 "95% CI Lower (1990-2015)";

*label var lrr_best "Observed Effect Sizes";

*label variable rr_best "Observed Response Ratio";
*label variable rr_fit_2 "Predicted RR";

*twoway rarea econfl_2 econfu_2 rfieldwork_year if min_rec==1, sort fcolor(gs14) || connect rr_fit_2 rfieldwork_year if min_rec==1, s(i) sort || scatter rr_best rfieldwork_year if min_rec==1 & rfieldwork_year > 1989 [aweight=bwgt_2], yscale(log) scheme(s2mono) msymbol(Oh) msize(small) color(black) mfcolor(gs13) ytitle("Response Ratio White/Black (Log Scale)") title("Figure 3: Trends in Hiring Discrimination" "Against African-Americans Since 1989") ylabel(.33 .5 1 2 3 4 5);

* more;

label variable rr_fit "Trend 1972-2015";
label variable rr_fit_2 "Trend 1990-2015";

* below has lines for both all years and 1990 plus, ci for 1990 plus;
twoway rarea econfl_2 econfu_2 rfieldwork_year if min_rec==1, sort color(gs14) || 
  scatter rr_best rfieldwork_year if min_rec==1 [aweight=bwgt], msymbol(O) mcolor(gs10) msize(tiny)|| 
  connect rr_fit_2 rfieldwork_year if min_rec==1, s(i) sort || 
  connect rr_fit rfieldwork_year if min_rec==1, 
    s(i) sort yscale(log) scheme(s2mono) mfcolor(gs13) ytitle("Callback Ratio White/Black (Log Scale)") 
	ylabel(.33 .5 1 2 3, labsize(vsmall)) 
	lpattern(shortdash) xlabel(1975 1985 1995 2005 2015, grid labsize(vsmall)) legend(order(3 4 1) size(vsmall)) 
	ytitle(,size(small)) xtitle(,size(small)) caption("Size of Plotting Symbols Proportional to Meta-Regression Weight", size(vsmall))
	saving(fig1_pnas, replace);

* title("Figure 1: Trends in Hiring Discrimination" "Against African-Americans", size(medium));
	
more;

*saveold dmap_data_graph_black, version(13) replace;

*twoway rarea econfl econfu rfieldwork_year if min_rec==1, sort fcolor(gs14) || connect rr_fit rfieldwork_year if min_rec==1, s(i) sort || scatter rr_best rfieldwork_year if min_rec==1 & study_method==1 [aweight=bwgt], msymbol(Th) msize(small) || scatter rr_best rfieldwork_year if min_rec==1 & study_method==0 [aweight=bwgt], yscale(log) scheme(s2mono) msymbol(Oh) msize(small) color(black) mfcolor(gs13) ytitle("Response Ratio White/Black (Log Scale)") title("Figure 3: Trends in Hiring Discrimination" "Against African-Americans") ylabel(.33 .5 1 2 3 4 5);

* drop because we re-use variable names for next model;
* drop lrr_fit se_random stdp confl confu econfl econfu rr_fit;

clear;

use dmap_update1024recoded_3;

keep if country=="USA";

keep if effect_level==1;

* keeping outcomes only for hispanic target group;
keep if min_rec==4;

keep if outcome==high_outcome;
  
metareg lrr_best rfieldwork_year, wsse(rr_best_lnse) mm eform;
  
predict lrr_fit, xb;

predict se_random, stdxbu;
predict stdp, stdp;

gen hwgt=1/(rr_best_lnse^2+e(tau2));

local t = invttail(e(df_r)-1, 0.025);

gen confl = lrr_fit - `t'*stdp;
gen confu = lrr_fit + `t'*stdp;

gen econfl=exp(confl);
gen econfu=exp(confu);
gen rr_fit=exp(lrr_fit);

label var econfl "95% CI Upper";
label var econfu "95% CI Lower";

label var lrr_best "Observed Effect Sizes";

label variable rr_best "Observed";
label variable rr_fit "Trend 1989-2015";

* below makes figure 4, previously figure 5;
*twoway rarea econfl econfu rfieldwork_year if min_rec==4, sort fcolor(gs14) || connect rr_fit rfieldwork_year if min_rec==4, s(i) sort || scatter rr_best rfieldwork_year if min_rec==4 [aweight=hwgt], yscale(log) scheme(s2mono) msymbol(Oh) msize(small) color(black) ytitle("Response Ratio White/Hispanic (Log Scale)") title("Figure 4: Trends in Hiring Discrimination against Latinos") ylabel(1 2 3);

twoway rarea econfl econfu rfieldwork_year if min_rec==4, sort color(gs14) || scatter rr_best rfieldwork_year if min_rec==4 [aweight=hwgt], msymbol(O) mcolor(gs10) msize(small) || connect rr_fit rfieldwork_year if min_rec==4, yscale(log) scheme(s2mono) s(i) sort ytitle("Callback Ratio White/Hispanic (Log Scale)", size(small))  ylabel(0.75 1 1.5 2 3, labsize(vsmall)) caption("Size of Plotting Symbols Proportional to Meta-Regression Weight", size(vsmall)) xtitle(,size(small)) xlabel(1990 1995 2000 2005 2010 2015, grid labsize(vsmall)) legend(order(3 1) size(vsmall)) saving(fig2_pnas, replace);

* title("Figure 2: Trends in Hiring Discrimination against Latinos", size(medium));

*graph export figure4.pdf, as(pdf) replace;

more;

*saveold dmap_data_graph_latino, version(13) replace;





